// redux/thunks/getSystemspannung5VplusThunk.ts
import { createAsyncThunk } from "@reduxjs/toolkit";
import { fetchSystemspannung5VplusService } from "@/services/fetchSystemspannung5VplusService";

export const getSystemspannung5VplusThunk = createAsyncThunk(
  "systemspannung5Vplus/fetch",
  async (typ: "DIA0" | "DIA1" | "DIA2", thunkAPI) => {
    try {
      const data = await fetchSystemspannung5VplusService(typ);
      return { typ, data };
    } catch (error) {
      console.error("Fehler in getSystemspannung5VplusThunk:", error);
      return thunkAPI.rejectWithValue("Fehler beim Laden der 5V-Daten");
    }
  }
);
